#!/bin/bash


clear

fecha=$(date +%d-%m-%Y_%H:%M)

echo "---------------------------------------------------------------------"
echo "--                  CCN-STIC-681-POSTFIX-PASO 4                    --"
echo "--  Antes de ejecutar este script debe asegurarse que los ficheros --"
echo "--       y scripts se encuentran en el directorio /Scripts         --"
echo "---------------------------------------------------------------------"
echo " "

echo "-------------------------------------------------------------"
echo "-- SE REALIZARA UNA COPIA DE SEGURIDAD DEL ARCHIVO MAIN.CF --"
echo "-------------------------------------------------------------"
read -p "Pulse ENTER para continuar o Ctrl + C para cancelar........"



echo "-------------------------------------------------------------------------"
echo "- COPIA DE SEGURIDAD REALIZADA EN /ETC/POSTFIX/MAIN.CF.$fecha -"
echo "-------------------------------------------------------------------------"
read -p "Pulse ENTER para continuar o Ctrl + C para cancelar.........."

cp -f /etc/postfix/main.cf /etc/postfix/main.cf.$fecha

echo " "

echo "--------------------------------------------------"
echo "-- SE PROCEDERA A CONFIGURAR EL ARCHIVO MAIN.CF --"
echo "--         PARA EL USO DE SSL Y TLS             --"
echo "--------------------------------------------------"
read -p "Pulse ENTER para continuar o Ctrl + C para cancelar........"

postconf -e "smtpd_sasl_auth_enable = "
postconf -e "broken_sasl_auth_clients = "
postconf -e "smtpd_sasl_type = " 
postconf -e "smtpd_sasl_path = "
postconf -e "smtpd_sasl_security_options = "
postconf -e "smtpd_recipient_restrictions = "
postconf -e "smtp_use_tls = "
postconf -e "smtp_tls_mandatory_protocols = "
postconf -e "smtpd_tls_cert_file = "
postconf -e "smtpd_tls_key_file = "
postconf -e "smtpd_tls_session_cache_database = "
postconf -e "smtpd_tls_session_cache_database = "
postconf -e "default_process_limit = "
postconf -e "smtpd_client_connection_count_limit = "
postconf -e "smtpd_client_connection_rate_limit = "
postconf -e "smtpd_recipient_limit = "
postconf -e "disable_vrfy_command = "

gnome-text-editor /etc/postfix/main.cf &>/dev/null


postfix reload
postfix check
echo " "
echo " "
echo "---------------------------------"
echo "---- CONFIGURACION TERMINADA ----"
echo "---------------------------------"
