#!/bin/bash

clear

fecha=$(date +%d-%m-%Y_%H:%M)

echo "---------------------------------------------------------------------"
echo "--                      CCN-STIC-681_PASO 6 DKim                    --"
echo "--  Antes de ejecutar este script debe asegurarse que los ficheros --"
echo "--       y scripts se encuentran en el directorio /Scripts         --"
echo "---------------------------------------------------------------------"
echo " "

#######################################INTEGRACION DKIM###########################################################
echo " "
echo " "
echo "------------ -------------------------------------------------"
echo "--  SE PROCEDE A CONFIGURAR EL ARCHIVO /ETC/OPENDKIM.CONF,  --"
echo "--    /ETC/POSTFIX/MAIN.CF Y /ETC/OPENDKIM/TRUSTEDHOSTS     --"
echo "--   SE REALIZARA UNA COPIA DE SEGURIDAD DE LOS ARCHIVOS    --"
echo "--------------------------------------------------------------"
read -p "Pulse ENTER para continuar o Ctrl + C para cancelar........"

cp -f /etc/opendkim.conf /etc/opendkim.conf.$fecha
cp -f /etc/postfix/main.cf /etc/postfix/main.cf.$fecha



echo " "
echo " "
echo "----------------------------------------------------"
echo "--   SE CONFIGURA EL ARCHIVO /ETC/OPENDKIM.CONF   --"
echo "----------------------------------------------------"
gnome-text-editor /etc/opendkim.conf &>/dev/null

echo "----------------------------" 
echo "--  EQUIPOS DE CONFIANZA  --"
echo "----------------------------"
read -p "Pulse ENTER para continuar o Ctrl + C para cancelar........"
gnome-text-editor /etc/opendkim/TrustedHosts &>/dev/null


echo " "

echo "-------------------------------"
echo "-- INTEGRANDO DKIM A POSTFIX --"
echo "-------------------------------"
read -p "Pulse ENTER para continuar o Ctrl + C para cancelar........"

postconf -e 'smtpd_milters = '
postconf -e 'non_smtpd_milters = ';
postconf -e 'milter_default_action = '
postconf -e 'milter_protocol = '
gnome-text-editor /etc/postfix/main.cf &>/dev/null
postfix check
if [ $? = 0 ]; then
echo "Sintaxis de Integracion:"
echo -e "\e[42mCorrecta\e[49m"
systemctl restart opendkim
systemctl enable opendkim
else
echo "REVISE LOS PARAMETROS DE SU ORGANIZACION"
echo -e "\e[41mValor NO conforme\e[49m"
fi
echo " "
echo "----------------------------------"
echo "-- DKIM INTEGRADO EN EL SISTEMA --"
echo "----------------------------------"

