#!/bin/bash

clear

fecha=$(date +%d-%m-%Y_%H:%M)

echo "---------------------------------------------------------------------"
echo "--                   CCN-STIC-681-PASO 8 Chroot                    --"
echo "--  Antes de ejecutar este script debe asegurarse que los ficheros --"
echo "--       y scripts se encuentran en el directorio /Scripts         --"
echo "---------------------------------------------------------------------"
echo " "
echo "------------------------------------------------------"
echo "-- SE PROCEDE A REALIZAR UNA JAULA CHROOT A POSTFIX --"
echo "------------------------------------------------------"
echo " "
echo " "
echo "---------------------------------------------------------------"
echo "-- SE REALIZARA UNA COPIA DE SEGURIDAD DEL ARCHIVO MASTER.CF --"
echo "---------------------------------------------------------------"
read -p "Pulse ENTER para continuar o Ctrl + C para cancelar........"

cp -f /etc/postfix/master.cf /etc/postfix/master.cf.$fecha

gnome-text-editor /etc/postfix/master.cf &>/dev/null

sleep 2

echo "----------------------------------------------------------------"
echo "-- COPIA REALIZADA EN /ETC/POSTFIX/MASTER.CF.$fecha --"
echo "----------------------------------------------------------------"

CP="cp -p"

cond_copy() {
  dir=`dirname "$1"`
  pat=`basename "$1"`
  lr=`find "$dir" -maxdepth 1 -name "$pat"`
  if test ! -d "$2" ; then exit 1 ; fi
  if test "x$lr" != "x" ; then $CP $1 "$2" ; fi
} 

set -e
umask 022

POSTFIX_DIR=${POSTFIX_DIR-/var/spool/postfix}
cd ${POSTFIX_DIR}

mkdir -p etc lib usr/lib/zoneinfo
test -d /lib64 && mkdir -p lib64


lt=/etc/localtime
if test ! -f $lt ; then lt=/usr/lib/zoneinfo/localtime ; fi
if test ! -f $lt ; then lt=/usr/share/zoneinfo/localtime ; fi
if test ! -f $lt ; then echo "cannot find localtime" ; exit 1 ; fi
rm -f etc/localtime

##
$CP -f $lt /etc/services /etc/resolv.conf /etc/nsswitch.conf etc
$CP -f /etc/host.conf /etc/hosts /etc/passwd etc
ln -s -f /etc/localtime usr/lib/zoneinfo

##
cond_copy '/lib/libnss_*.so*' lib
cond_copy '/lib/libresolv.so*' lib
cond_copy '/lib/libdb.so*' lib
if test -d /lib64; then
  cond_copy '/lib64/libnss_*.so*' lib64
  cond_copy '/lib64/libresolv.so*' lib64
  cond_copy '/lib64/libdb.so*' lib64
fi

postfix reload
postfix check
echo " "
echo " "
echo "-----------------------------"
echo "-- CONFIGURACION REALIZADA --"
echo "-----------------------------"
