#!/bin/bash


clear

fecha=$(date +%d-%m-%Y_%H:%M)

echo "---------------------------------------------------------------------"
echo "--                  CCN-STIC-681-POSTFIX-PASO 5                    --"
echo "--  Antes de ejecutar este script debe asegurarse que los ficheros --"
echo "--       y scripts se encuentran en el directorio /Scripts         --"
echo "---------------------------------------------------------------------"
echo " "

echo "-------------------------------------------------------------"
echo "-- SE REALIZARA UNA COPIA DE SEGURIDAD DEL ARCHIVO MAIN.CF --"
echo "-------------------------------------------------------------"
read -p "Pulse ENTER para continuar o Ctrl + C para cancelar........"



echo "-------------------------------------------------------------------------"
echo "- COPIA DE SEGURIDAD REALIZADA EN /ETC/POSTFIX/MAIN.CF.$fecha -"
echo "-------------------------------------------------------------------------"
read -p "Pulse ENTER para continuar o Ctrl + C para cancelar.........."

cp -f /etc/postfix/main.cf /etc/postfix/main.cf.$fecha

echo " "

echo "--------------------------------------------------"
echo "-- SE PROCEDERA A CONFIGURAR EL ARCHIVO MAIN.CF --"
echo "--         PARA EL USO DE SSL Y TLS             --"
echo "--------------------------------------------------"
read -p "Pulse ENTER para continuar o Ctrl + C para cancelar........"
gnome-text-editor /etc/postfix/main.cf &>/dev/null

echo "  "
echo "  "

postfix check
if [ $? = 0 ]; then
echo " "
echo "---------------------------------"
echo "---- CONFIGURACION TERMINADA ----"
echo "---------------------------------"
else
echo "Sintaxis erronea en /etc/postfix/main.cf"
echo -e "\e[41mDebe revisar /etc/postfix/main.cf\e[49m"
fi
