#!/bin/bash

clear
vclam=$(ls /usr/share/doc/|grep clamd)

echo "---------------------------------------------------------------------"
echo "--                CCN-STIC-681-POSTFIX_ENS_CLAMAV                  --"
echo "--  Antes de ejecutar este script debe asegurarse que los ficheros --"
echo "--       y scripts se encuentran en el directorio /Scripts         --"
echo "---------------------------------------------------------------------"
echo " "
echo "----------------------------------------------------"
echo "-- SE COMPROBARAN PROGRAMAS Y PAQUETES NECESARIOS --"
echo "----------------------------------------------------"
read -p "Pulse ENTER para continuar o Ctrl + C para cancelar........"
echo " "
echo " "
#CHEQUEO DE PROGRAMAS NECESARIOS DANDO SALIDA DE NECESIDAD O NO DE INSTALAR
###########################################################################
rpm -aq | grep -i "clamsmtp"
if [ $? -ne 0 ]; then
echo -e "\e[41mDebe instalar\e[49m  clamsmtp"
read -p "Pulse ENTER para continuar o Ctrl + C para cancelar........"
exit
else
echo -e "clamsmtp \e[42mInstalado\e[49m"
fi
read -p "Pulse ENTER para continuar o Ctrl + C para cancelar........"

echo " "
echo "----------------------------------------------------"
echo "--      SE VA A PROCEDER A CONFIGURAR CLAMAV      --"
echo "-- PARA ELLO SE VA A REALIZAR COPIA DE SEGURIDAD  --"
echo "--  DE LOS SIGUIENTES ARCHIVOS DE CONFIGURACION   --"
echo "----------------------------------------------------"
echo " "
echo " "
echo "
/etc/freshclam.conf
/etc/clamd.d/scan.conf
/etc/clamsmtpd.conf 
/etc/postfix/main.cf
/etc/postfix/master.cf
LA UBICACION DE LAS COPIAS DE SEGURIDAD, SON LAS MISMAS QUE DE LOS ARCHIVOS
ORIGINALES, TERMINADOS CON LA FECHA Y HORA DEL MOMENTO DE LA MODIFICACION"
read -p "Pulse ENTER para continuar o Ctrl + C para cancelar........"
cp -f /etc/freshclam.conf /etc/freshclam.conf.$fecha
cp -f /etc/clamd.d/scan.conf /etc/clamd.d/scan.conf.$fecha
cp -f /etc/clamsmtpd.conf /etc/clamsmtpd.conf.$fecha
cp -f /etc/postfix/main.cf /etc/postfix/main.cf.$fecha
cp -f /etc/postfix/master.cf /etc/postfix/master.cf.$fecha
###########################################Variables##################################################

vclam=$(ls /usr/share/doc/|grep clamd)
fecha=$(date +%d-%m-%Y_%H:%M)

#####################################################CLAMAV######################################################

echo "--------------------------------------"
echo "--  SE PROCEDE A CONFIGURAR CLAMAV  --"
echo "--------------------------------------"
echo "-----------------------------------------------------"
echo "--  SE CONFIGURA EL ARCHIVO /ETC/CLAM.D/SCAN.CONF  --"
echo "-----------------------------------------------------"
read -p "Pulse ENTER para continuar o Ctrl + C para cancelar........"


gnome-text-editor /etc/clamd.d/scan.conf &>/dev/null

echo " "
echo "---------------------------------------------------"
echo "--  SE CONFIGURA EL ARCHIVO /ETC/FRESHCLAM.CONF  --"
echo "---------------------------------------------------"
read -p "Pulse ENTER para continuar o Ctrl + C para cancelar........"

gnome-text-editor /etc/freshclam.conf &>/dev/null

freshclam
##########################CONFIGURACION CLAMSMTP#############################
# chown clamscan /var/lib/clamd.clamsmtp
# chown clamscan /run/clamsmtpd/
systemctl restart clamsmtpd
echo " "
echo "--------------------------------------------------"
echo "-- SE CONFIGURA EL ARCHIVO /ETC/CLAMSMTP.CONF  --"
echo "--------------------------------------------------"
read -p "Pulse ENTER para continuar o Ctrl + C para cancelar........"

gnome-text-editor /etc/clamsmtpd.conf &>/dev/null

######################CONFIGURACION /ETC/POSTFIX/MAIN.CF######################
echo " "
echo "---------------------------------------------------"
echo "-- SE CONFIGURA EL ARCHIVO /ETC/POSTFIX/MAIN.CF  --"
echo "---------------------------------------------------"
read -p "Pulse ENTER para continuar o Ctrl + C para cancelar........"

gnome-text-editor /etc/postfix/main.cf &>/dev/null

#echo "content_filter = scan:127.0.0.1:10025" >> /etc/postfix/main.cf
####################CONFIGURACION /ETC/POSTFIX/MASTER.CF######################
echo " "
echo "-----------------------------------------------------"
echo "-- SE CONFIGURA EL ARCHIVO /ETC/POSTFIX/MASTER.CF  --"
echo "-----------------------------------------------------"
read -p "Pulse ENTER para continuar o Ctrl + C para cancelar........"

#echo "content_filter = scan:127.0.0.1:10025" >> /etc/postfix/master.cf

gnome-text-editor /etc/postfix/master.cf &>/dev/null




CP="cp -p"

cond_copy() {
  # find files as per pattern in $1
  # if any, copy to directory $2
  dir=`dirname "$1"`
  pat=`basename "$1"`
  lr=`find "$dir" -maxdepth 1 -name "$pat"`
  if test ! -d "$2" ; then exit 1 ; fi
  if test "x$lr" != "x" ; then $CP $1 "$2" ; fi
} 

set -e
umask 022

POSTFIX_DIR=${POSTFIX_DIR-/var/spool/postfix}
cd ${POSTFIX_DIR}

mkdir -p etc lib usr/lib/zoneinfo
test -d /lib64 && mkdir -p lib64

# find localtime (SuSE 5.3 does not have /etc/localtime)
lt=/etc/localtime
if test ! -f $lt ; then lt=/usr/lib/zoneinfo/localtime ; fi
if test ! -f $lt ; then lt=/usr/share/zoneinfo/localtime ; fi
if test ! -f $lt ; then echo "cannot find localtime" ; exit 1 ; fi
rm -f etc/localtime

# copy localtime and some other system files into the chroot's etc
$CP -f $lt /etc/services /etc/resolv.conf /etc/nsswitch.conf etc
$CP -f /etc/host.conf /etc/hosts /etc/passwd etc
ln -s -f /etc/localtime usr/lib/zoneinfo

# copy required libraries into the chroot
cond_copy '/lib/libnss_*.so*' lib
cond_copy '/lib/libresolv.so*' lib
cond_copy '/lib/libdb.so*' lib
if test -d /lib64; then
  cond_copy '/lib64/libnss_*.so*' lib64
  cond_copy '/lib64/libresolv.so*' lib64
  cond_copy '/lib64/libdb.so*' lib64
fi

postfix reload
postfix check

systemctl restart postfix
systemctl start clamsmtp-clamd.service 
systemctl start clamsmtpd.service 
systemctl restart postfix.service 
systemctl enable clamsmtp-clamd.service 
systemctl enable clamsmtpd.service 


echo " "
echo "---------------------------------"
echo "---- CONFIGURACION TERMINADA ----"
echo "---------------------------------"
