
#!/bin/bash

clear

echo "---------------------------------------------------------------------"
echo "--                  CCN-STIC-681-POSTFIX-PASO 1                    --"
echo "--  Antes de ejecutar este script debe asegurarse que los ficheros --"
echo "--       y scripts se encuentran en el directorio /Scripts         --"
echo "---------------------------------------------------------------------"
echo " "
echo "----------------------------------------------------"
echo "-- SE COMPROBARAN PROGRAMAS Y PAQUETES NECESARIOS --"
echo "----------------------------------------------------"
read -p "Pulse ENTER para continuar o Ctrl + C para cancelar........"
echo " "
echo " "
###########################################################################
rpm -aq | grep -i "postfix"
if [ $? -ne 0 ]; then
echo -e "\e[41mDebe instalar\e[49m  postfix"
else
echo -e "postfix \e[42mInstalado\e[49m"
fi
###########################################################################
echo " "
rpm -aq | grep -i "gnupg2"
if [ $? -ne 0 ]; then
echo -e "\e[41mDebe instalar\e[49m  gnupg2"
else
echo -e "gnupg2 \e[42mInstalado\e[49m"
fi
###########################################################################
echo " "
rpm -aq | grep -i "gnupg2-smime"
if [ $? -ne 0 ]; then
echo -e "\e[41mDebe instalar\e[49m  gnupg2-smime"
else
echo -e "gnupg2-smime \e[42mInstalado\e[49m"
fi
###########################################################################
echo " "
rpm -aq | grep -i "openssl"
if [ $? -ne 0 ]; then
echo -e "\e[41mDebe instalar\e[49m  openssl"
else
echo -e "openssl \e[42mInstalado\e[49m"
fi
###########################################################################
echo " "
rpm -aq | grep -i "postfix-perl-scripts"
if [ $? -ne 0 ]; then
echo -e "\e[41mDebe instalar\e[49m postfix-perl-scripts"
else
echo -e "postfix-perl-scripts \e[42mInstalado\e[49m"
fi
###########################################################################
echo " "
rpm -aq | grep -i "epel-release"
if [ $? -ne 0 ]; then
echo -e "\e[41mDebe instalar\e[49m epel-release-7-11.noarch"
else
echo -e "epel-release-7-11.noarch \e[42mInstalado\e[49m"
fi

###########################################################################

echo " "
rpm -aq | grep -i "pypolicyd-spf"
if [ $? -ne 0 ]; then
echo -e "\e[41mDebe instalar\e[49m pypolicyd-spf"
else
echo -e "pypolicyd-spf \e[42mInstalado\e[49m"
fi

###########################################################################
#
echo "----------------------------------------------------"
echo "------ SE COMPROBARAN PROGRAMAS INNECESARIOS -------"
echo "----------------------------------------------------"
read -p "Pulse ENTER para continuar o Ctrl + C para cancelar........"
###########################################################################
rpm -aq | grep -i "sendmail"
if [ $? = 0 ]; then
echo "Deberá eliminar el paquete sendmail para el correcto funcionamiento de Postfix"
else
echo "NO HAY PROGRAMAS INNECESARIOS"
fi

###########################################################################
echo " "
echo " "
echo "---------------------------------"
echo "---- CONFIGURACION TERMINADA ----"
echo "---------------------------------"