
#!/bin/bash

clear

echo "---------------------------------------------------------------------"
echo "--                  CCN-STIC-681-POSTFIX-PASO 2                    --"
echo "--  Antes de ejecutar este script debe asegurarse que los ficheros --"
echo "--       y scripts se encuentran en el directorio /Scripts         --"
echo "---------------------------------------------------------------------"

read -p "Pulse ENTER para continuar o Ctrl + C para cancelar........"

echo "--------------------------------------------------"
echo "-- SE PROCEDERA A CONFIGURAR EL ARCHIVO MAIN.CF --"
echo "--------------------------------------------------"
read -p "Pulse ENTER para continuar o Ctrl + C para cancelar........"

echo "  "
echo "  "

#SE VA A PROCEDER A RECOPILAR TODAS LAS VARIABLES, INTERACTUANDO CON EL USUARIO, PARA LA CONFIGURACION DEL ARCHIVO /ETC/POSTFIX/MAIN.CF

echo "  "
echo "  "
echo "Escriba el valor de inet_interfaces:"
read interfaces
echo "  "
echo "Escriba la direccion IP del equipo de relay:"
read relay
echo "  "
echo "Escriba el banner del servidor:"
read banner
echo "  "

echo "--------------------------------------------------"
echo "---- LOS VALORES ESCOGIDOS SON LOS SIGUIENTES ----"
echo "--------------------------------------------------"

echo $interfaces		inet_interfaces
echo $relay				relayhost
echo $banner			banner

read -p "Pulse ENTER para continuar o Ctrl + C para cancelar........"


postconf -e "inet_interfaces = $interfaces"
postconf -e "inet_protocols = ipv4"
postconf -e "relayhost = $relay"
postconf -e "body_checks_size_limit ="
postconf -e "queue_minfree ="
postconf -e "header_size_limit ="
postconf -e "message_size_limit ="
postconf -e "smtpd_banner = $banner"

echo " "

##########################CONFIGURACIÓN MAIN.CF###################
gnome-text-editor /etc/postfix/main.cf &>/dev/null





postfix check
if [ $? = 0  ]; then
echo " "
echo "---------------------------------"
echo "---- CONFIGURACION TERMINADA ----"
echo "---------------------------------"
else
echo -e "\e[41mConflicto de configuracion.\e[49m Revise sus parametros y vuelva a ejecutar el script"
fi