#!/bin/bash

clear

fecha=$(date +%d-%m-%Y_%H:%M)

echo "---------------------------------------------------------------------"
echo "--                      CCN-STIC-681_PASO6_spf                     --"
echo "--  Antes de ejecutar este script debe asegurarse que los ficheros --"
echo "--       y scripts se encuentran en el directorio /Scripts         --"
echo "---------------------------------------------------------------------"
echo " "
echo "----------------------------------------------------------------------------"
echo "--- SE VA A CONFIGURAR EL ARCHIVO MASTER.CF DE POSTFIX PARA INTEGRACION  ---"
echo "-- DE SPF. PARA ELLO SE PROCEDE A REALIZAR UN COPIA DEL ARCHIVO MASTER.CF --"
echo "----------------------------------------------------------------------------"

cp -f /etc/postfix/master.cf /etc/postfix/master.cf.$fecha

echo "----------------------------------------------------------------"
echo "-- COPIA REALIZADA EN /ETC/POSTFIX/MASTER.CF.$fecha --"
echo "----------------------------------------------------------------"
read -p "Pulse ENTER para continuar o Ctrl + C para cancelar........"

gnome-text-editor /etc/postfix/master.cf &>/dev/null

postfix check
if [ $? = 0 ]; then
echo "configuracion de postfix "
echo -e "\e[42mCorrecta\e[49m"
else
echo "Error de sintaxis en el archivo master.cf de Postfix"
echo -e "\e[41mValor NO conforme\e[49m"
fi
echo " "
echo "---------------------------------"
echo "---- CONFIGURACION TERMINADA ----"
echo "---------------------------------"