#!/bin/bash

clear

fecha=$(date +%d-%m-%Y_%H:%M)

echo "---------------------------------------------------------------------"
echo "--                  CCN-STIC-681-POSTFIX-PASO 4                    --"
echo "--  Antes de ejecutar este script debe asegurarse que los ficheros --"
echo "--       y scripts se encuentran en el directorio /Scripts         --"
echo "---------------------------------------------------------------------"
echo " "
echo "--------------------------------------------------------"
echo "-- SE PROCEDE A CREAR UN CERTIFICADO AUTO-FIRMADO SSL --"
echo "--------------------------------------------------------"
echo " "
echo " "
echo "Nombre de llave privada:"
read privada
echo " "
echo "Nombre Certificado de firma:"
read firma

#GENERACION CLAVE PRIVADA 

openssl genrsa -aes256 -out $privada.key 2096

#GENERACION  CSR(SOLICITUD DE FIRMA DE CERTIFICADO)

openssl req -new -key $privada.key -out $firma.csr

#GENERACION CERTIFICADO AUTO-FIRMADO

echo " "
echo "Nombre de certificado auto-firmado:"
read auto
echo " "
openssl x509 -req -days 365 -in $firma.csr -signkey $privada.key -out $auto.crt

###
mv /Scripts/$privada.key /etc/ssl/certs/$privada.key
mv /Scripts/$firma.csr /etc/ssl/certs/$firma.csr
mv /Scripts/$auto.crt /etc/ssl/certs/$auto.crt

chmod 644 /etc/ssl/certs/$firma.csr 
chmod 644 /etc/ssl/certs/$auto.crt
chmod 400 /etc/ssl/certs/$privada.key
echo " "
echo " "
echo "---------------------------------"
echo "---- CONFIGURACION TERMINADA ----"
echo "---------------------------------"